/*
 * This file is part of SEMP.
 *
 * SEMP is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEMP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SEMP. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2009, 2010, 2011, 2012 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */

#ifndef AMBXLOCATIONMAP_H
#define AMBXLOCATIONMAP_H

#include "../stdafx.h"
#include <map>
#include <vector>

#if __USEAMBX__
#include "../3rdParties/ambx/amBX_Types.h"
#endif

#include "Classification.h"

class AmBXLocationMap
{
#if __USEAMBX__
public:
	AmBXLocationMap();
	std::vector<amBX_loc> GetAmBXLocations(std::string location);
	int* GetEnumLocations();
	int GetEnumLocationsLength();

private:
	std::map<std::string, std::vector<amBX_loc>> m_amBXLocMap;
	std::vector<amBX_loc> north;
	std::vector<amBX_loc> nnenw;
	std::vector<amBX_loc> nsc;
	std::vector<amBX_loc> northwest;
	std::vector<amBX_loc> nwwsw;
	std::vector<amBX_loc> northeast;
	std::vector<amBX_loc> neese;
	std::vector<amBX_loc> west;
	std::vector<amBX_loc> east;
	std::vector<amBX_loc> south;
	std::vector<amBX_loc> ssesw;
	std::vector<amBX_loc> southeast;
	std::vector<amBX_loc> southwest;
	std::vector<amBX_loc> center;
	std::vector<amBX_loc> all;

	int Locations[9];
	//int Heights[4]; // NOTE: currently ignoring heights and using everytime EVERYWHERE
#endif
};

#endif
