/*
 * This file is part of SEMP.
 *
 * SEMP is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEMP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SEMP. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2009, 2010, 2011, 2012 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */

#ifndef RUMBLE_H
#define RUMBLE_H

#include "../stdafx.h"

#if __USEAMBX__
#include "../3rdParties/ambx/IamBX_Rumble.h"
#endif

class Rumble
{
#if __USEAMBX__
public:
	Rumble(IamBX_Rumble* rumble);
	~Rumble();
	bool IsFadeActive();
	bool IsRumbleActive();
	double GetEffectDifference();
	double GetOldIntensityValue();
	double GetDuration();
	double GetIntensity();
	double GetFadeTime();
	double GetIntermediateIntensity();
	double GetPTS();
	void ActivateRumble(bool activate);
	void SetIntensity(double intensity);
	void SetDuration(double duration);
	void SetOldIntensityValue(double oldIntensity);
	void SetEffectDifference(double difference);
	void SetFadeTime(double fadeCount);
	void ActivateFade(bool activate);
	void SetIntermediateIntensity(double intensity);
	void SetPTS(double time);
	void ResetRumble();
	IamBX_Rumble *GetRumble();

	// devices settings

	amBX_RESULT SetIntensityToDevice(float intensity);
	float GetIntensityFromDevice();


private:
	IamBX_Rumble *m_rumble;
	bool bRumbleFade;
	bool rumbleActive;
	double rumbleFadeTime;
	double rumbleEffectDifference;
	double rumbleOldIntensityValue;
	double rumbleDuration;
	double rumbleIntensity;
	double rumbleIntermediateIntensity;
	double rumblePTS;
#endif
};

#endif