/*
 * This file is part of SEMP.
 *
 * SEMP is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEMP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SEMP. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2009, 2010, 2011, 2012 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */

#ifndef SCENTCONTAINER_H
#define SCENTCONTAINER_H

#include "../stdafx.h"
#include "Scent.h"
#include <map>
#include <vector>

#if __USEVORTEX__
#include "../3rdParties/ftd2xx/FTD2XX.h"
#endif

class ScentContainer
{
#if __USEVORTEX__
public:
	ScentContainer();
	~ScentContainer();
	void AddScent(std::string scentType, Scent* scent);
	Scent* GetScent(std::string scentType);
	std::vector<Scent *> GetAllScents();
	FT_HANDLE *GetDeviceHandle();
	void SetDeviceHandle(FT_HANDLE *handle);
	int *GetActivationStates();
	void BackupActivationStates();
	void RestoreActivationStates();
	bool IsDeviceActive();

private:
	std::map<std::string, Scent*> scentMap;
	FT_HANDLE *deviceHandle;
#endif
};

#endif